Subject: Re: [bug#55762] [PATCH] Upgrade linux-pam to 1.5.2

From: Felix Lechner <[email-masked]>
Date: Fri, 3 Jun 2022 09:25:28 -0700

Hi,

On Thu, Jun 2, 2022 at 11:42 AM Tobias Geerinckx-Rice <[email-masked]> wrote:
>
> - The ‘gnu: foo: Update to x.y.z’ messages you see in the Guix
>   commit history are standardised.

The commit message was adjusted to the community standards.

> - Don't feel obligated to explain why you're upgrading a package,

I removed the explanation.

> > The extra argument to ./configure is needed to sidestep an issue
> > upstream.[1]
>
>   belongs in the code, where your fellow hackers can see it, not
>   buried in the commit log where $nobody will:
>
>   ;; Work around
>   <https://github.com/linux-pam/linux-pam/issues/466>.

Good idea! The comment was dropped from the commit message. Instead, I
added your note to the code.

> As you might now, this update rebuilds a good part of the world
> and will have to pass through the core-updates branch…
>
> …so it's impressive if you rebuilt most of your entire system
> based on the new nyacc/linux-pam packages.

Actually, my installation did not rebuild much at all, perhaps because
my local desktop runs few servers that would use PAM for
authentication.

Looking through the long list of consuming packages, my sense is that
one of the build systems may pull it in, perhaps via fakeroot or sudo.
I am not sure why cl-css or cl-uglify-js would otherwise need PAM.

> What still needs to be done, and which problems did you encounter?

I encountered no problems locally, but cannot speculate how Guix's
numerous build systems might react to the presence of the three new
Pkgconfig files. It was a reason why I mentioned the files in my
original commit message. My thought was that someone triangulating a
build issue elsewhere could perhaps find the information helpful.

An updated patch, which was also rebased, was attached. Thank you!

Kind regards,
Felix Lechner
From d3f62c0b14c170f94bc49fd1b557dddd26ea5033 Mon Sep 17 00:00:00 2001
From: Felix Lechner <[email-masked]>
Date: Tue, 31 May 2022 11:40:04 -0700
Subject: [PATCH] gnu: linux-pam: Update to 1.5.2.

* gnu/packages/linux.scm (linux-pam): Update to 1.5.2.
---
 gnu/packages/linux.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 4fc0ac16af..6bb819cbdc 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -1579,7 +1579,7 @@ (define-public xpadneo
 (define-public linux-pam
   (package
     (name "linux-pam")
-    (version "1.5.1")
+    (version "1.5.2")
     (source
      (origin
        (method url-fetch)
@@ -1588,7 +1588,7 @@ (define-public linux-pam
              version "/Linux-PAM-" version ".tar.xz"))
        (sha256
         (base32
-         "1z4jayf69qyyxln1gl6ch4qxfd66ib1g42garnrv2d8i1drl0790"))
+         "0kgrsj2scv5mx6w925h9hxf11jnqqs9z8s22aw94b90xm4qp3v74"))
        (patches (search-patches "linux-pam-no-setfsuid.patch"))))
 
     (build-system gnu-build-system)
@@ -1604,6 +1604,11 @@ (define-public linux-pam
        #:configure-flags (list (string-append "--includedir="
                                               (assoc-ref %outputs "out")
                                               "/include/security")
+                               ;; Work around
+                               ;; <https://github.com/linux-pam/linux-pam/issues/466>
+                               (string-append "--libdir="
+                                              (assoc-ref %outputs "out")
+                                              "/lib")
 
                                ;; XXX: <rpc/rpc.h> is missing from glibc when
                                ;; cross-compiling, so we have to disable NIS

base-commit: 3d69f2dae8c5d451e03d3569c8b153fd573054b8
-- 
2.36.1